Saltar al contenido principal
PATCH
/
v1
/
external-support
/
{projectId}
Update Integration
curl --request PATCH \
  --url https://gateway.jelou.ai/jelouapi/v1/external-support/{projectId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookUrl": "https://my-system.com/webhook/jelou-v2",
  "authType": "bearer",
  "authorization": "<string>"
}
'
{
  "id": "INTEGRATION_ID",
  "brainId": "BRAIN_ID",
  "webhookUrl": "https://my-system.com/webhook/jelou",
  "authType": "bearer",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt

Use this file to discover all available pages before exploring further.

Descripción

Modifica la configuración de una integración existente con el panel de atención externo. Permite actualizar la URL del webhook.

Endpoint

PATCH https://gateway.jelou.ai/jelouapi/v1/external-support/{projectId}

Parámetros de ruta

projectId
string
requerido
Identificador único del proyecto de Jelou cuya integración se desea actualizar.

Parámetros del cuerpo

webhookUrl
string
Nueva URL del endpoint en tu sistema que recibirá los eventos de Jelou. Debe ser una URL pública accesible por HTTPS.Ejemplo: https://mi-sistema.com/webhook/jelou-v2

Autenticación

Todas las peticiones deben incluir el encabezado x-api-key con la API key del proyecto de Jelou.
x-api-key: API_KEY

Ejemplo de solicitud

El siguiente ejemplo actualiza el webhook configurado para el proyecto PROJECT_ID:
cURL
curl --request PATCH \
  --url https://gateway.jelou.ai/jelouapi/v1/external-support/PROJECT_ID \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: API_KEY' \
  --data '{
    "webhookUrl": "https://mi-sistema.com/webhook/jelou-v2"
  }'

Respuestas

CódigoEstadoDescripción
200OKIntegración actualizada exitosamente.
400Bad RequestFormato de los datos inválido o valores no permitidos.
401UnauthorizedCredenciales de autenticación inválidas o faltantes.
404Not FoundNo existe una integración para el projectId indicado.
500Internal Server ErrorError interno del servidor.

Ejemplo de respuesta

{
  "message": [
    "Integration updated successfully"
  ],
  "statusMessage": "success",
  "status": 1,
  "data": {
    "brainId": "PROJECT_ID",
    "webhookUrl": "https://mi-sistema.com/webhook/jelou-v2",
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-01-22T09:15:00.000Z"
  }
}

Autorizaciones

Authorization
string
header
requerido

Basic authentication using Base64 encoded clientId:clientSecret

Parámetros de ruta

projectId
string
requerido

Unique identifier of the Jelou project

Cuerpo

application/json
webhookUrl
string<uri>

New webhook URL

Ejemplo:

"https://my-system.com/webhook/jelou-v2"

authType
enum<string>

New authentication type

Opciones disponibles:
bearer,
api_key,
basic,
no_auth
authorization
string

New credentials

Respuesta

Integration updated successfully

id
string
Ejemplo:

"INTEGRATION_ID"

brainId
string
Ejemplo:

"BRAIN_ID"

webhookUrl
string
Ejemplo:

"https://my-system.com/webhook/jelou"

authType
string
Ejemplo:

"bearer"

createdAt
string<date-time>
updatedAt
string<date-time>